import { ListRowProps } from 'react-virtualized';
import React from 'react';
import { OutputDescriptor } from 'tsp-typescript-client/lib/models/output-descriptor';
import { Experiment } from 'tsp-typescript-client/lib/models/experiment';
export interface AvailableViewsComponentProps {
    traceID: string | undefined;
    outputDescriptors: OutputDescriptor[];
    onContextMenuEvent?: (event: React.MouseEvent<HTMLDivElement, MouseEvent>, output: OutputDescriptor | undefined) => void;
    onOutputClicked: (selectedOutput: OutputDescriptor) => void;
    listRowWidth?: string;
    listRowPadding?: string;
    highlightAfterSelection?: boolean;
}
export interface AvailableViewsComponentState {
    lastSelectedOutputIndex: number;
}
export declare class AvailableViewsComponent extends React.Component<AvailableViewsComponentProps, AvailableViewsComponentState> {
    static LIST_MARGIN: number;
    static LINE_HEIGHT: number;
    static ROW_HEIGHT: number;
    private _forceUpdateKey;
    protected handleOutputClicked: (e: React.MouseEvent<HTMLDivElement>) => void;
    private _onExperimentSelected;
    constructor(props: AvailableViewsComponentProps);
    componentWillUnmount(): void;
    render(): React.ReactNode;
    protected renderRowOutputs: (props: ListRowProps) => React.ReactNode;
    private doRenderRowOutputs;
    private doHandleContextMenuEvent;
    protected doHandleExperimentSelectedSignal(experiment: Experiment | undefined): void;
    private doHandleOutputClicked;
    protected getTotalHeight(): number;
}
//# sourceMappingURL=available-views-component.d.ts.map